### Method

# Fwupd Client get_remotes

#### Declaration [src]

    GPtrArray*
    fwupd_client_get_remotes (
      FwupdClient* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets the list of remotes that have been configured for the system.

Available since: | 0.9.3

#### Parameters

`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `FwupdRemote*`
| List of remotes, or `NULL`.
| The caller of the method takes ownership of the data container, but not the data inside it.